# Lint a Redpanda Connect pipeline configuration

**POST /v1/redpanda-connect/pipelines:lint-config**

Validates a supplied Redpanda Connect pipeline YAML and returns a list of linting hints. If no problems are found, the list is empty.


## Servers
- Data Plane API: https://{dataplane_api_subdomain}.cloud.redpanda.com (Data Plane API)


## Authentication methods
- Auth0


## Parameters



### Body: application/json (object)

- **config_yaml** (string)
  The Redpanda Connect pipeline configuration in YAML format.
  See the [Redpanda Connect Configuration](https://docs.redpanda.com/redpanda-cloud/develop/connect/configuration/about) documentation
  for more details.


## Responses
### 200
Linting finished. See `lint_hints` for details.

#### Body: application/json (object)
- **lint_hints** (array[object])
  A list of linting issues.

### 401
Unauthenticated.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### 500
Internal Server Error. Reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
